Public
Documentation Settings

FoxTS BRAND API

This api allows you to:

  • Register a new client
  • Register a new lead
  • Get Countries ID List (When you send a new client or lead the country is specified by ID and not name (string)
  • Get All Clients
  • Get FTD Clients

Autologin Information:

Query Parameters:

  • authtoken: A valid API token obtained from the /clients/register or /clients/login methods. (Required)
  • redirect_url: The URL the user should be redirected to after a successful login. This can be any route on the client's area. (Not Required)

Example Request:

GET https://clients.brandname.com/login?autologin?authtoken=XXXXXXXXXXXXXXXXXXXXX&redirect_url=https://clients.brandname.com/deposit

Note: The authtoken parameter is required to obtain the autologin token. The redirect_url parameter is optional and can be used to redirect the user to a specific page after a successful login. The autologin token is returned in the response as a string value in the authtoken field.









POSTGet Auth Key For Autologin

https://api.brandname.com/client/login
Bodyurlencoded
email

[email protected]

Client E-Mail Address

password

Mypassword

Client Password

Example Request
curl
curl --location 'https://api.brandname.com/client/login' \
--data-urlencode '[email protected]' \
--data-urlencode 'password=Mypassword'
200 OK
Example Response
json
{
    "status": "true",
    "success": {
        "user_id": "7",
        "firstname": "First Name",
        "lastname": "Last Name",
        "useremail": "[email protected]",
        "pcode": "+1",
        "phonenumber": "43343434",
        "country": "12",
        "currency": "EUR",
        "auth_token": "fad51b9865573ae0b50327328ce89f9d" //Auth Key For Autologin
    },
    "message": "Client Details"
}
Date

Thu, 04 May 2023 16:32:03 GMT

Content-Type

application/json; charset=utf-8

Transfer-Encoding

chunked

Connection

keep-alive

Vary

Accept-Encoding

Access-Control-Allow-Origin

*

X-Cache

HIT from Backend

X-XSS-Protection

1; mode=block

X-Content-Type-Options

nosniff

CF-Cache-Status

DYNAMIC

Report-To

{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=PAWibEp3KghQz%2FoDrdTOUKivM1O1knLZOKV6Zav3K0n2KCr3eBKqSHPVp%2FPWGiD3OPubaWsQKac%2BIoyi8QMCe3LzbDKiaS6J%2BOpGqAJUbG3R5K2iNlzCFC%2BLrzgHK8CkZ4FZz4slaZ2SCPkDkIL6"}],"group":"cf-nel","max_age":604800}

NEL

{"success_fraction":0,"report_to":"cf-nel","max_age":604800}

Server

cloudflare

CF-RAY

7c222333b9da3cfe-CDG

Content-Encoding

br

alt-svc

h3=":443"; ma=86400, h3-29=":443"; ma=86400

GETGet Countries List

https://api.brandname.com/countries
Example Request
curl
curl --location 'https://api.brandname.com/countries'
200 OK
Example Response
json
{
  "status": "true",
  "success": [
    {
      "id": "1",
      "name": "Afghanistan",
      "code": "AF"
    },
    {
      "id": "2",
      "name": "Albania",
      "code": "AL"
    },
    {
      "id": "3",
      "name": "Algeria",
      "code": "DZ"
    },
    {
      "id": "4",
      "name": "American Samoa",
      "code": "AS"
    },
    {
      "id": "5",
      "name": "Andorra",
      "code": "AD"
    },
    {
      "id": "6",
      "name": "Angola",
      "code": "AO"
    },
    {
      "id": "7",
      "name": "Anguilla",
      "code": "AI"
    },
    {
      "id": "8",
      "name": "Antarctica",
      "code": "AQ"
    },
    {
      "id": "9",
      "name": "Antigua And Barbuda",
      "code": "AG"
    },
    {
      "id": "10",
      "name": "Argentina",
      "code": "AR"
    },
    {
      "id": "11",
      "name": "Armenia",
      "code": "AM"
    },
    {
      "id": "13",
      "name": "Australia",
      "code": "AU"
    },
    {
      "id": "14",
      "name": "Austria",
      "code": "AT"
    },
    {
      "id": "15",
      "name": "Azerbaijan",
      "code": "AZ"
    },
    {
      "id": "16",
      "name": "Bahamas The",
      "code": "BS"
    },
    {
      "id": "17",
      "name": "Bahrain",
      "code": "BH"
    },
    {
      "id": "18",
      "name": "Bangladesh",
      "code": "BD"
    },
    {
      "id": "19",
      "name": "Barbados",
      "code": "BB"
    },
    {
      "id": "20",
      "name": "Belarus",
      "code": "BY"
    },
    {
      "id": "21",
      "name": "Belgium",
      "code": "BE"
    },
    {
      "id": "22",
      "name": "Belize",
      "code": "BZ"
    },
    {
      "id": "23",
      "name": "Benin",
      "code": "BJ"
    },
    {
      "id": "24",
      "name": "Bermuda",
      "code": "BM"
    },
    {
      "id": "25",
      "name": "Bhutan",
      "code": "BT"
    },
    {
      "id": "26",
      "name": "Bolivia",
      "code": "BO"
    },
    {
      "id": "27",
      "name": "Bosnia and Herzegovina",
      "code": "BA"
    },
    {
      "id": "28",
      "name": "Botswana",
      "code": "BW"
    },
    {
      "id": "29",
      "name": "Bouvet Island",
      "code": "BV"
    },
    {
      "id": "30",
      "name": "Brazil",
      "code": "BR"
    },
    {
      "id": "31",
      "name": "British Indian Ocean Territory",
      "code": "IO"
    },
    {
      "id": "32",
      "name": "Brunei",
      "code": "BN"
    },
    {
      "id": "33",
      "name": "Bulgaria",
      "code": "BG"
    },
    {
      "id": "34",
      "name": "Burkina Faso",
      "code": "BF"
    },
    {
      "id": "35",
      "name": "Burundi",
      "code": "BI"
    },
    {
      "id": "36",
      "name": "Cambodia",
      "code": "KH"
    },
    {
      "id": "37",
      "name": "Cameroon",
      "code": "CM"
    },
    {
      "id": "38",
      "name": "Canada",
      "code": "CA"
    },
    {
      "id": "39",
      "name": "Cape Verde",
      "code": "CV"
    },
    {
      "id": "40",
      "name": "Cayman Islands",
      "code": "KY"
    },
    {
      "id": "41",
      "name": "Central African Republic",
      "code": "CF"
    },
    {
      "id": "42",
      "name": "Chad",
      "code": "TD"
    },
    {
      "id": "43",
      "name": "Chile",
      "code": "CL"
    },
    {
      "id": "44",
      "name": "China",
      "code": "CN"
    },
    {
      "id": "45",
      "name": "Christmas Island",
      "code": "CX"
    },
    {
      "id": "46",
      "name": "Cocos (Keeling) Islands",
      "code": "CC"
    },
    {
      "id": "47",
      "name": "Colombia",
      "code": "CO"
    },
    {
      "id": "48",
      "name": "Comoros",
      "code": "KM"
    },
    {
      "id": "49",
      "name": "Republic Of The Congo",
      "code": "CG"
    },
    {
      "id": "50",
      "name": "Democratic Republic Of The Congo",
      "code": "CD"
    },
    {
      "id": "51",
      "name": "Cook Islands",
      "code": "CK"
    },
    {
      "id": "52",
      "name": "Costa Rica",
      "code": "CR"
    },
    {
      "id": "53",
      "name": "Cote D'Ivoire (Ivory Coast)",
      "code": "CI"
    },
    {
      "id": "54",
      "name": "Croatia (Hrvatska)",
      "code": "HR"
    },
    {
      "id": "55",
      "name": "Cuba",
      "code": "CU"
    },
    {
      "id": "56",
      "name": "Cyprus",
      "code": "CY"
    },
    {
      "id": "57",
      "name": "Czech Republic",
      "code": "CZ"
    },
    {
      "id": "58",
      "name": "Denmark",
      "code": "DK"
    },
    {
      "id": "59",
      "name": "Djibouti",
      "code": "DJ"
    },
    {
      "id": "60",
      "name": "Dominica",
      "code": "DM"
    },
    {
      "id": "61",
      "name": "Dominican Republic",
      "code": "DO"
    },
    {
      "id": "62",
      "name": "East Timor",
      "code": "TP"
    },
    {
      "id": "63",
      "name": "Ecuador",
      "code": "EC"
    },
    {
      "id": "64",
      "name": "Egypt",
      "code": "EG"
    },
    {
      "id": "65",
      "name": "El Salvador",
      "code": "SV"
    },
    {
      "id": "66",
      "name": "Equatorial Guinea",
      "code": "GQ"
    },
    {
      "id": "67",
      "name": "Eritrea",
      "code": "ER"
    },
    {
      "id": "68",
      "name": "Estonia",
      "code": "EE"
    },
    {
      "id": "69",
      "name": "Ethiopia",
      "code": "ET"
    },
    {
      "id": "70",
      "name": "External Territories of Australia",
      "code": "XA"
    },
    {
      "id": "71",
      "name": "Falkland Islands",
      "code": "FK"
    },
    {
      "id": "72",
      "name": "Faroe Islands",
      "code": "FO"
    },
    {
      "id": "73",
      "name": "Fiji Islands",
      "code": "FJ"
    },
    {
      "id": "74",
      "name": "Finland",
      "code": "FI"
    },
    {
      "id": "75",
      "name": "France",
      "code": "FR"
    },
    {
      "id": "76",
      "name": "French Guiana",
      "code": "GF"
    },
    {
      "id": "77",
      "name": "French Polynesia",
      "code": "PF"
    },
    {
      "id": "78",
      "name": "French Southern Territories",
      "code": "TF"
    },
    {
      "id": "79",
      "name": "Gabon",
      "code": "GA"
    },
    {
      "id": "80",
      "name": "Gambia The",
      "code": "GM"
    },
    {
      "id": "81",
      "name": "Georgia",
      "code": "GE"
    },
    {
      "id": "82",
      "name": "Germany",
      "code": "DE"
    },
    {
      "id": "83",
      "name": "Ghana",
      "code": "GH"
    },
    {
      "id": "84",
      "name": "Gibraltar",
      "code": "GI"
    },
    {
      "id": "85",
      "name": "Greece",
      "code": "GR"
    },
    {
      "id": "86",
      "name": "Greenland",
      "code": "GL"
    },
    {
      "id": "87",
      "name": "Grenada",
      "code": "GD"
    },
    {
      "id": "88",
      "name": "Guadeloupe",
      "code": "GP"
    },
    {
      "id": "89",
      "name": "Guam",
      "code": "GU"
    },
    {
      "id": "90",
      "name": "Guatemala",
      "code": "GT"
    },
    {
      "id": "91",
      "name": "Guernsey and Alderney",
      "code": "XU"
    },
    {
      "id": "92",
      "name": "Guinea",
      "code": "GN"
    },
    {
      "id": "93",
      "name": "Guinea-Bissau",
      "code": "GW"
    },
    {
      "id": "94",
      "name": "Guyana",
      "code": "GY"
    },
    {
      "id": "95",
      "name": "Haiti",
      "code": "HT"
    },
    {
      "id": "96",
      "name": "Heard and McDonald Islands",
      "code": "HM"
    },
    {
      "id": "97",
      "name": "Honduras",
      "code": "HN"
    },
    {
      "id": "98",
      "name": "Hong Kong S.A.R.",
      "code": "HK"
    },
    {
      "id": "99",
      "name": "Hungary",
      "code": "HU"
    },
    {
      "id": "100",
      "name": "Iceland",
      "code": "IS"
    },
    {
      "id": "101",
      "name": "India",
      "code": "IN"
    },
    {
      "id": "102",
      "name": "Indonesia",
      "code": "ID"
    },
    {
      "id": "103",
      "name": "Iran",
      "code": "IR"
    },
    {
      "id": "104",
      "name": "Iraq",
      "code": "IQ"
    },
    {
      "id": "105",
      "name": "Ireland",
      "code": "IE"
    },
    {
      "id": "106",
      "name": "Israel",
      "code": "IL"
    },
    {
      "id": "107",
      "name": "Italy",
      "code": "IT"
    },
    {
      "id": "108",
      "name": "Jamaica",
      "code": "JM"
    },
    {
      "id": "109",
      "name": "Japan",
      "code": "JP"
    },
    {
      "id": "110",
      "name": "Jersey",
      "code": "XJ"
    },
    {
      "id": "111",
      "name": "Jordan",
      "code": "JO"
    },
    {
      "id": "112",
      "name": "Kazakhstan",
      "code": "KZ"
    },
    {
      "id": "113",
      "name": "Kenya",
      "code": "KE"
    },
    {
      "id": "114",
      "name": "Kiribati",
      "code": "KI"
    },
    {
      "id": "115",
      "name": "Korea North",
      "code": "KP"
    },
    {
      "id": "116",
      "name": "Korea South",
      "code": "KR"
    },
    {
      "id": "117",
      "name": "Kuwait",
      "code": "KW"
    },
    {
      "id": "118",
      "name": "Kyrgyzstan",
      "code": "KG"
    },
    {
      "id": "119",
      "name": "Laos",
      "code": "LA"
    },
    {
      "id": "120",
      "name": "Latvia",
      "code": "LV"
    },
    {
      "id": "121",
      "name": "Lebanon",
      "code": "LB"
    },
    {
      "id": "122",
      "name": "Lesotho",
      "code": "LS"
    },
    {
      "id": "123",
      "name": "Liberia",
      "code": "LR"
    },
    {
      "id": "124",
      "name": "Libya",
      "code": "LY"
    },
    {
      "id": "125",
      "name": "Liechtenstein",
      "code": "LI"
    },
    {
      "id": "126",
      "name": "Lithuania",
      "code": "LT"
    },
    {
      "id": "127",
      "name": "Luxembourg",
      "code": "LU"
    },
    {
      "id": "128",
      "name": "Macau S.A.R.",
      "code": "MO"
    },
    {
      "id": "129",
      "name": "Macedonia",
      "code": "MK"
    },
    {
      "id": "130",
      "name": "Madagascar",
      "code": "MG"
    },
    {
      "id": "131",
      "name": "Malawi",
      "code": "MW"
    },
    {
      "id": "132",
      "name": "Malaysia",
      "code": "MY"
    },
    {
      "id": "133",
      "name": "Maldives",
      "code": "MV"
    },
    {
      "id": "134",
      "name": "Mali",
      "code": "ML"
    },
    {
      "id": "135",
      "name": "Malta",
      "code": "MT"
    },
    {
      "id": "136",
      "name": "Man (Isle of)",
      "code": "XM"
    },
    {
      "id": "137",
      "name": "Marshall Islands",
      "code": "MH"
    },
    {
      "id": "138",
      "name": "Martinique",
      "code": "MQ"
    },
    {
      "id": "139",
      "name": "Mauritania",
      "code": "MR"
    },
    {
      "id": "140",
      "name": "Mauritius",
      "code": "MU"
    },
    {
      "id": "141",
      "name": "Mayotte",
      "code": "YT"
    },
    {
      "id": "142",
      "name": "Mexico",
      "code": "MX"
    },
    {
      "id": "143",
      "name": "Micronesia",
      "code": "FM"
    },
    {
      "id": "144",
      "name": "Moldova",
      "code": "MD"
    },
    {
      "id": "145",
      "name": "Monaco",
      "code": "MC"
    },
    {
      "id": "146",
      "name": "Mongolia",
      "code": "MN"
    },
    {
      "id": "147",
      "name": "Montserrat",
      "code": "MS"
    },
    {
      "id": "148",
      "name": "Morocco",
      "code": "MA"
    },
    {
      "id": "149",
      "name": "Mozambique",
      "code": "MZ"
    },
    {
      "id": "150",
      "name": "Myanmar",
      "code": "MM"
    },
    {
      "id": "151",
      "name": "Namibia",
      "code": "NA"
    },
    {
      "id": "152",
      "name": "Nauru",
      "code": "NR"
    },
    {
      "id": "153",
      "name": "Nepal",
      "code": "NP"
    },
    {
      "id": "154",
      "name": "Netherlands Antilles",
      "code": "AN"
    },
    {
      "id": "155",
      "name": "Netherlands The",
      "code": "NL"
    },
    {
      "id": "156",
      "name": "New Caledonia",
      "code": "NC"
    },
    {
      "id": "157",
      "name": "New Zealand",
      "code": "NZ"
    },
    {
      "id": "158",
      "name": "Nicaragua",
      "code": "NI"
    },
    {
      "id": "159",
      "name": "Niger",
      "code": "NE"
    },
    {
      "id": "160",
      "name": "Nigeria",
      "code": "NG"
    },
    {
      "id": "161",
      "name": "Niue",
      "code": "NU"
    },
    {
      "id": "162",
      "name": "Norfolk Island",
      "code": "NF"
    },
    {
      "id": "163",
      "name": "Northern Mariana Islands",
      "code": "MP"
    },
    {
      "id": "164",
      "name": "Norway",
      "code": "NO"
    },
    {
      "id": "165",
      "name": "Oman",
      "code": "OM"
    },
    {
      "id": "166",
      "name": "Pakistan",
      "code": "PK"
    },
    {
      "id": "167",
      "name": "Palau",
      "code": "PW"
    },
    {
      "id": "168",
      "name": "Palestinian Territory Occupied",
      "code": "PS"
    },
    {
      "id": "169",
      "name": "Panama",
      "code": "PA"
    },
    {
      "id": "170",
      "name": "Papua new Guinea",
      "code": "PG"
    },
    {
      "id": "171",
      "name": "Paraguay",
      "code": "PY"
    },
    {
      "id": "172",
      "name": "Peru",
      "code": "PE"
    },
    {
      "id": "173",
      "name": "Philippines",
      "code": "PH"
    },
    {
      "id": "174",
      "name": "Pitcairn Island",
      "code": "PN"
    },
    {
      "id": "175",
      "name": "Poland",
      "code": "PL"
    },
    {
      "id": "176",
      "name": "Portugal",
      "code": "PT"
    },
    {
      "id": "177",
      "name": "Puerto Rico",
      "code": "PR"
    },
    {
      "id": "178",
      "name": "Qatar",
      "code": "QA"
    },
    {
      "id": "179",
      "name": "Reunion",
      "code": "RE"
    },
    {
      "id": "180",
      "name": "Romania",
      "code": "RO"
    },
    {
      "id": "181",
      "name": "Russia",
      "code": "RU"
    },
    {
      "id": "182",
      "name": "Rwanda",
      "code": "RW"
    },
    {
      "id": "183",
      "name": "Saint Helena",
      "code": "SH"
    },
    {
      "id": "184",
      "name": "Saint Kitts And Nevis",
      "code": "KN"
    },
    {
      "id": "185",
      "name": "Saint Lucia",
      "code": "LC"
    },
    {
      "id": "186",
      "name": "Saint Pierre and Miquelon",
      "code": "PM"
    },
    {
      "id": "187",
      "name": "Saint Vincent And The Grenadines",
      "code": "VC"
    },
    {
      "id": "188",
      "name": "Samoa",
      "code": "WS"
    },
    {
      "id": "189",
      "name": "San Marino",
      "code": "SM"
    },
    {
      "id": "190",
      "name": "Sao Tome and Principe",
      "code": "ST"
    },
    {
      "id": "191",
      "name": "Saudi Arabia",
      "code": "SA"
    },
    {
      "id": "192",
      "name": "Senegal",
      "code": "SN"
    },
    {
      "id": "193",
      "name": "Serbia",
      "code": "RS"
    },
    {
      "id": "194",
      "name": "Seychelles",
      "code": "SC"
    },
    {
      "id": "195",
      "name": "Sierra Leone",
      "code": "SL"
    },
    {
      "id": "196",
      "name": "Singapore",
      "code": "SG"
    },
    {
      "id": "197",
      "name": "Slovakia",
      "code": "SK"
    },
    {
      "id": "198",
      "name": "Slovenia",
      "code": "SI"
    },
    {
      "id": "199",
      "name": "Smaller Territories of the UK",
      "code": "XG"
    },
    {
      "id": "200",
      "name": "Solomon Islands",
      "code": "SB"
    },
    {
      "id": "201",
      "name": "Somalia",
      "code": "SO"
    },
    {
      "id": "202",
      "name": "South Africa",
      "code": "ZA"
    },
    {
      "id": "203",
      "name": "South Georgia",
      "code": "GS"
    },
    {
      "id": "204",
      "name": "South Sudan",
      "code": "SS"
    },
    {
      "id": "205",
      "name": "Spain",
      "code": "ES"
    },
    {
      "id": "206",
      "name": "Sri Lanka",
      "code": "LK"
    },
    {
      "id": "207",
      "name": "Sudan",
      "code": "SD"
    },
    {
      "id": "208",
      "name": "Suriname",
      "code": "SR"
    },
    {
      "id": "209",
      "name": "Svalbard And Jan Mayen Islands",
      "code": "SJ"
    },
    {
      "id": "210",
      "name": "Swaziland",
      "code": "SZ"
    },
    {
      "id": "211",
      "name": "Sweden",
      "code": "SE"
    },
    {
      "id": "212",
      "name": "Switzerland",
      "code": "CH"
    },
    {
      "id": "213",
      "name": "Syria",
      "code": "SY"
    },
    {
      "id": "214",
      "name": "Taiwan",
      "code": "TW"
    },
    {
      "id": "215",
      "name": "Tajikistan",
      "code": "TJ"
    },
    {
      "id": "216",
      "name": "Tanzania",
      "code": "TZ"
    },
    {
      "id": "217",
      "name": "Thailand",
      "code": "TH"
    },
    {
      "id": "218",
      "name": "Togo",
      "code": "TG"
    },
    {
      "id": "219",
      "name": "Tokelau",
      "code": "TK"
    },
    {
      "id": "220",
      "name": "Tonga",
      "code": "TO"
    },
    {
      "id": "221",
      "name": "Trinidad And Tobago",
      "code": "TT"
    },
    {
      "id": "222",
      "name": "Tunisia",
      "code": "TN"
    },
    {
      "id": "223",
      "name": "Turkey",
      "code": "TR"
    },
    {
      "id": "224",
      "name": "Turkmenistan",
      "code": "TM"
    },
    {
      "id": "225",
      "name": "Turks And Caicos Islands",
      "code": "TC"
    },
    {
      "id": "226",
      "name": "Tuvalu",
      "code": "TV"
    },
    {
      "id": "227",
      "name": "Uganda",
      "code": "UG"
    },
    {
      "id": "228",
      "name": "Ukraine",
      "code": "UA"
    },
    {
      "id": "229",
      "name": "United Arab Emirates",
      "code": "AE"
    },
    {
      "id": "230",
      "name": "United Kingdom",
      "code": "GB"
    },
    {
      "id": "231",
      "name": "United States",
      "code": "US"
    },
    {
      "id": "232",
      "name": "United States Minor Outlying Islands",
      "code": "UM"
    },
    {
      "id": "233",
      "name": "Uruguay",
      "code": "UY"
    },
    {
      "id": "234",
      "name": "Uzbekistan",
      "code": "UZ"
    },
    {
      "id": "235",
      "name": "Vanuatu",
      "code": "VU"
    },
    {
      "id": "236",
      "name": "Vatican City State (Holy See)",
      "code": "VA"
    },
    {
      "id": "237",
      "name": "Venezuela",
      "code": "VE"
    },
    {
      "id": "238",
      "name": "Vietnam",
      "code": "VN"
    },
    {
      "id": "239",
      "name": "Virgin Islands (British)",
      "code": "VG"
    },
    {
      "id": "240",
      "name": "Virgin Islands (US)",
      "code": "VI"
    },
    {
      "id": "241",
      "name": "Wallis And Futuna Islands",
      "code": "WF"
    },
    {
      "id": "242",
      "name": "Western Sahara",
      "code": "EH"
    },
    {
      "id": "243",
      "name": "Yemen",
      "code": "YE"
    },
    {
      "id": "244",
      "name": "Yugoslavia",
      "code": "YU"
    },
    {
      "id": "245",
      "name": "Zambia",
      "code": "ZM"
    },
    {
      "id": "246",
      "name": "Zimbabwe",
      "code": "ZW"
    }
  ],
  "message": "Total 245 Records Found"
}
Date

Thu, 04 May 2023 16:19:50 GMT

Content-Type

application/json; charset=utf-8

Transfer-Encoding

chunked

Connection

keep-alive

Vary

Accept-Encoding

Access-Control-Allow-Origin

*

X-Cache

HIT from Backend

X-XSS-Protection

1; mode=block

X-Content-Type-Options

nosniff

CF-Cache-Status

DYNAMIC

Report-To

{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=nnJK8Hg7ARuyOCJYCprhoLF5mBnIm73RS1Ce55YBDwX4BDUWjF3L2YFqGwVfQkUdjKGERYH%2FEL9DbDjjzKP6L7tkqL9Aoen6P%2F8BHkVv5a9lXtlmEfZlk%2FjOoLI5AVONxm0x%2F%2Bu7MvAt%2FaRtFwU0"}],"group":"cf-nel","max_age":604800}

NEL

{"success_fraction":0,"report_to":"cf-nel","max_age":604800}

Server

cloudflare

CF-RAY

7c22114eafeff0f0-CDG

Content-Encoding

br

alt-svc

h3=":443"; ma=86400, h3-29=":443"; ma=86400

POSTRegister New Client

https://api.brandname.com/client/register
Bodyurlencoded
promocode

1683200978

You can get the promocode from developers

secretKey

68a4ba02-9414-4439-bdf3-5030efe50a2e

You can get the secretKey (apiKey) from developers

firstname

First Name

Client First Name

lastname

Last Name

Client Last Name

useremail

[email protected]

Client Email

pcode

+1

Phone Country Code

phonenumber

43343434

Phone Number Without Country Code

country

12

Country ID (You can get the countries list by using the

up_currency

EUR

Account Currency (EUR / USD)

source_comment

https://google.com/

(URL of the source where the client registered)

password

Mypassword

Client Password

passwordCheck

Mypassword

Client Password Confirmation

Example Request
curl
curl --location 'https://api.brandname.com/client/register' \
--data-urlencode 'promocode=123456123456' \
--data-urlencode 'secretKey=123456-123456-123456-123456-123456' \
--data-urlencode 'firstname=First Name' \
--data-urlencode 'lastname=Last Name' \
--data-urlencode '[email protected]' \
--data-urlencode 'pcode=+1' \
--data-urlencode 'phonenumber=43343434' \
--data-urlencode 'country=12' \
--data-urlencode 'up_currency=EUR' \
--data-urlencode 'source_comment=https://google.com/' \
--data-urlencode 'password=Mypassword' \
--data-urlencode 'passwordCheck=Mypassword'
200 OK
Example Response
json
{
    "status": "true",
    "success": {
        "user_id": 7,
        "firstname": "First Name",
        "lastname": "Last Name",
        "useremail": "[email protected]",
        "pcode": "+1",
        "phonenumber": "43343434",
        "country": "12",
        "currency": "EUR",
        "token": "2c8ecc0e7f75f8b94e983747d739ede4" //Token Can Be Used for Autologin
    },
    "message": "Client Created Successfully."
}
Date

Thu, 04 May 2023 16:29:26 GMT

Content-Type

application/json; charset=utf-8

Transfer-Encoding

chunked

Connection

keep-alive

Vary

Accept-Encoding

Access-Control-Allow-Origin

*

X-Cache

HIT from Backend

X-XSS-Protection

1; mode=block

X-Content-Type-Options

nosniff

CF-Cache-Status

DYNAMIC

Report-To

{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=0Q87cYrlrY4zDB7EXZ0ZW5VqGkbPE5hljHYBGjg1IQg9Ub4r6o3IJKS0rRYlfvZnfMzuML%2FGdfaFVPr8xpvxxI4HPwVetrer9uFpEjPO%2B9VqgssVPLkr73RQifL8ts77o40StSrnWLtUHt7Vqt6n"}],"group":"cf-nel","max_age":604800}

NEL

{"success_fraction":0,"report_to":"cf-nel","max_age":604800}

Server

cloudflare

CF-RAY

7c221f5e6b1d3cfe-CDG

Content-Encoding

br

alt-svc

h3=":443"; ma=86400, h3-29=":443"; ma=86400

POSTRegister New Lead

https://api.brandname.com/lead/register
Bodyurlencoded
secretKey

68a4ba02-9414-4439-bdf3-5030efe50a2e

promocode

1683200978

firstname

Lead

lastname

Test

pcode

+1

phonenumber

43443434

country

12

funnelname

italian_funner

Example Request
curl
curl --location 'https://api.brandname.com/lead/register' \
--data-urlencode 'secretKey=1234566-1234566-1234566-1234566-1234566' \
--data-urlencode 'promocode=12345661234566' \
--data-urlencode 'firstname=Lead' \
--data-urlencode 'lastname=Test' \
--data-urlencode '[email protected]' \
--data-urlencode 'pcode=+1' \
--data-urlencode 'phonenumber=43443434' \
--data-urlencode 'country=12' \
--data-urlencode 'funnelname=italian_funnel'
200 OK
Example Response
json
{
  "status": "true",
  "success": {
    "lead_id": 151526,
    "firstname": "Lead",
    "lastname": "Test",
    "email": "[email protected]",
    "pcode": "+1",
    "phonenumber": "43443434",
    "country": "12"
  },
  "message": "Lead Created Successfully."
}
Date

Thu, 04 May 2023 16:33:50 GMT

Content-Type

application/json; charset=utf-8

Transfer-Encoding

chunked

Connection

keep-alive

Vary

Accept-Encoding

Access-Control-Allow-Origin

*

X-Cache

HIT from Backend

X-XSS-Protection

1; mode=block

X-Content-Type-Options

nosniff

CF-Cache-Status

DYNAMIC

Report-To

{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=xGxJ%2BKAZFmO2qHLi1OM%2FAuIqwzQa3NidkbHFrNxhZoanHDGQ%2Br8cd%2FursajF7oQ5jS7fr5tR6QrYPyBhNuhtxBsXKMn3Eir0xsQbl7zP7mwSBMXnXPEIr9ygN%2FUiQX7NxXY0EPMeypUP3UK5wjUG"}],"group":"cf-nel","max_age":604800}

NEL

{"success_fraction":0,"report_to":"cf-nel","max_age":604800}

Server

cloudflare

CF-RAY

7c2225d35f553cfe-CDG

Content-Encoding

br

alt-svc

h3=":443"; ma=86400, h3-29=":443"; ma=86400

POSTGet All Clients (With and Without Deposits)

https://api.brandname.com/get-clients/
Bodyurlencoded
secretKey

68a4ba02-9414-4439-bdf3-5030efe50a2e

You can get the secretKey (apiKey) from developers

affiliate_id

1683200978

Know As "promocode" | You can get the promocode from developers

from

2023-05-01

Date Range From -> YYYY-MM-DD (2019-12-09)

to

2023-05-04

YYYY-MM-DD (2021-02-09) <- Date Range To

Example Request
curl
curl --location 'https://api.brandname.com/get-clients/' \
--data-urlencode 'secretKey=123456-123456-4439-123456-123456123456' \
--data-urlencode 'affiliate_id=123456123456' \
--data-urlencode 'from=2023-05-01' \
--data-urlencode 'to=2023-05-04'
200 OK
Example Response
json
{
  "status": "true",
  "success": [
    {
      "clients_id": "7",
      "firstname": "First Name",
      "lastname": "Last Name",
      "useremail": "[email protected]",
      "pcode": "+1",
      "phonenumber": "43343434",
      "FTD": "0",
      "language": null,
      "currency": "EUR",
      "country": null,
      "status": "New",
      "created_at": "2023-05-04 18:29:26"
    }
  ],
  "message": "Total 1 Records Found"
}
Date

Thu, 04 May 2023 16:35:52 GMT

Content-Type

application/json; charset=utf-8

Transfer-Encoding

chunked

Connection

keep-alive

Vary

Accept-Encoding

Access-Control-Allow-Origin

*

X-Cache

HIT from Backend

X-XSS-Protection

1; mode=block

X-Content-Type-Options

nosniff

CF-Cache-Status

DYNAMIC

Report-To

{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=1IqAg2X01Jy7prrOGYc3LGrA5SE6i%2F2KL9hCLBdeso%2BsLpqvVecdX8P251qDmIY1CVRG2xUPn6MdnSJVloiTkVb%2F1Ss55p5lNDfHQEdoyH%2FY6XUUWMOCcaMU2vWhSK8guiR3j%2FMGG9AaK3f4Apaa"}],"group":"cf-nel","max_age":604800}

NEL

{"success_fraction":0,"report_to":"cf-nel","max_age":604800}

Server

cloudflare

CF-RAY

7c2228cd4d643cfe-CDG

Content-Encoding

br

alt-svc

h3=":443"; ma=86400, h3-29=":443"; ma=86400

POSTFTD CLIENTS | Get Clients Who Deposited and triggered FTD

https://brandname.com/get-ftd-clients/
Bodyurlencoded
secretKey

123456-123456-4439-123456-123456123456

You can get the secretKey (apiKey) from developers

promocode

123456123456

You can get the promocode from developers

from

2023-05-01

Date Range From -> YYYY-MM-DD (2019-12-09)

to

2023-05-04

YYYY-MM-DD (2021-02-09) <- Date Range To

Example Request
curl
curl --location 'https://brandname.com/get-ftd-clients/' \
--data-urlencode 'secretKey=123456-123456-4439-123456-123456123456' \
--data-urlencode 'promocode=123456123456' \
--data-urlencode 'from=2023-05-01' \
--data-urlencode 'to=2023-05-04'
Example Response
No response body
This request doesn't return any response body
No response headers
This request doesn't return any response headers

POSTGET LEADS | Get Leads List

https://api.brandname.com/get-branch-leads/
Bodyurlencoded
secretKey

123456-123456-4439-123456-123456123456

You can get the secretKey (apiKey) from developers

affiliate_id

123456123456

You can get the promocode from developers

from

2023-05-01

Date Range From -> YYYY-MM-DD (2019-12-09)

to

2023-05-04

YYYY-MM-DD (2021-02-09) <- Date Range To

page

1

Current Page , default is 1

limit

100

default 100 - Max limit per page is 500

Example Request
curl
curl --location 'https://api.brandname.com/get-branch-leads/' \
--data-urlencode 'secretKey=123456-123456-4439-123456-123456123456' \
--data-urlencode 'promocode=123456123456' \
--data-urlencode 'from=2023-05-01' \
--data-urlencode 'to=2023-05-04'
--data-urlencode 'page=1'
--data-urlencode 'limit=100'
Example Response
No response body
This request doesn't return any response body
No response headers
This request doesn't return any response headers